# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetType

Function

Returns the type, category, rank, and shape of an Object.

Syntax
`
#include <dx/dx.h>
`

Object DXGetType(Object o, Type *t, Category *c, int *rank, int *shape)

Functional Details If `t` is not `NULL`, this routine returns the type of `g` in `*t`. If `c` is not `NULL`, it returns the type of `g` in `*c`. If `rank` is not `NULL`, it returns the rank of `g` in `*rank`. If `shape` is not `NULL`, it returns the shape Array of `g` in `*shape`. `shape` must point to an Array at least `*rank` in length.

The type is one of the following:

    TYPE_BYTE            TYPE_HYPER        TYPE_SHORT
    TYPE_UBYTE           TYPE_INT          TYPE_USHORT
    TYPE_DOUBLE          TYPE_UINT         TYPE_STRING
    TYPE_FLOAT

The category is either `CATEGORY_REAL` or `CATEGORY_COMPLEX`.

Array Objects are always typed. Fields are typed if they contain a "data" component; their type is the same as that of the "data" component. Series, MultiGrids, and Composite Fields are typed if they contain typed Fields. Generic Groups may be typed by explicitly calling `DXSetGroupType`. If typed, all Fields contained in the Group must match the type. Other Objects do not contain type information.

Return Value

Returns `o` only if there is a type associated with `o` or returns `NULL` without setting an error code.

See Also

`DXGetArrayInfo, DXSetGroupType, DXSetGroupTypeV, DXUnsetGroupType`

"Setting Data Types".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]